org.apache.http.cookie.params

## Class CookieSpecParamBean

- java.lang.Object
- - org.apache.http.params.HttpAbstractParamBean
  - - org.apache.http.cookie.params.CookieSpecParamBean

Deprecated.
(4.3) use constructor parameters of `CookieSpecProvider`s.

    @Deprecated
    public class CookieSpecParamBean
    extends org.apache.http.params.HttpAbstractParamBean

This is a Java Bean class that can be used to wrap an instance of `HttpParams` and manipulate HTTP cookie parameters using Java Beans conventions.

Since:
  4.0

### Field Summary

### Fields inherited from class org.apache.http.params.HttpAbstractParamBean

`params`

### Constructor Summary

Constructors
Constructor and Description
`CookieSpecParamBean(org.apache.http.params.HttpParams params)` Deprecated.

### Method Summary

Methods
`void` `setDatePatterns(Collection<String> patterns)` Deprecated.
`void` `setSingleHeader(boolean singleHeader)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CookieSpecParamBean

    public CookieSpecParamBean(org.apache.http.params.HttpParams params)

Deprecated.

### Method Detail

#### setDatePatterns

    public void setDatePatterns(Collection<String> patterns)

Deprecated.

#### setSingleHeader

    public void setSingleHeader(boolean singleHeader)

Deprecated.